> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker.md).

# BasicMarker

Struct in [MarkupPalette](/api/csharp/yarn.unity/yarn.unity.markuppalette.md)

Inherits from `System.ValueType`

## Summary

Contains information describing the formatting style of text within a named marker.

```csharp
public struct BasicMarker
```

## Fields

| Name                                                                                                                                                          | Description                                                                                 |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| [Boldened](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.boldened.md)             | Indicates whether the text associated with this marker should be bolded.                    |
| [Color](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.color.md)                   | The color to use for text associated with this marker.                                      |
| [CustomColor](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.customcolor.md)       | Indicates whethere or not the text associated with this marker should have a custom colour. |
| [Italicised](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.italicised.md)         | Indicates whether the text associated with this marker should be italicized.                |
| [Marker](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.marker.md)                 | The name of the marker which can be used in text to indicate specific formatting.           |
| [Strikedthrough](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.strikedthrough.md) | Indicates whether the text associated with this marker should have a strikethrough effect.  |
| [Underlined](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker/yarn.unity.markuppalette.basicmarker.underlined.md)         | Indicates whether the text associated with this marker should be underlined.                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
